> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# DexScreener - Link Updates

> Retrieve recently updated token profile links from DexScreener



## OpenAPI

````yaml /en/api-reference/openapi-data-en.yaml GET /v2/dexscr/{chain}/link-updates
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: Blockchain related operations
  - name: Token
    description: Token related operations
  - name: Trade
    description: Trade related operations
  - name: Wallet
    description: Wallet related operations
  - name: Dex
    description: Dex related operations
  - name: Ranking
    description: Ranking related operations
  - name: DexPool
    description: DexPool related operations
  - name: Watchlist
    description: Watchlist related operations
  - name: KYT
    description: Kyt related operations
  - name: Webhook
    description: Webhook related operations
  - name: RedPacket
    description: Redpacket related operations
  - name: IPFS
    description: Ipfs related operations
  - name: DexScreener
    description: DexScreener related operations
paths:
  /v2/dexscr/{chain}/link-updates:
    get:
      tags:
        - DexScreener
      summary: DexScreener - Link Updates
      description: Retrieve recently updated token profile links from DexScreener
      operationId: get.dexscr.link-updates
      parameters:
        - name: chain
          in: path
          description: A chain name listed in supported networks
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: limit
          in: query
          description: Number of results to return
          required: false
          schema:
            type: integer
            format: int64
            default: 20
            maximum: 100
            minimum: 1
          style: form
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DexscrLinkUpdate'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    DexscrLinkUpdate:
      type: object
      required:
        - chain
        - tokenAddress
      properties:
        chain:
          type: string
          description: Blockchain network identifier
          example: sol
        description:
          type:
            - string
            - 'null'
          description: Token description
        header:
          type:
            - string
            - 'null'
          description: Token header image URL
        icon:
          type:
            - string
            - 'null'
          description: Token icon URL
        links:
          description: Token social links in JSON format
        openGraph:
          type:
            - string
            - 'null'
          description: Token Open Graph image URL
        tokenAddress:
          type: string
          description: Token contract address
          example: So11111111111111111111111111111111111111112
        url:
          type:
            - string
            - 'null'
          description: DexScreener token page URL
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````